diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 5c6532a..43c3358 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -492,6 +492,12 @@ endif (USE_XFT)
 FL_ADD_LIBRARY(fltk STATIC "${STATIC_FILES}")
 target_link_libraries(fltk ${OPTIONAL_LIBS})
 
+# QUICK HACK: add Psapi.dll for Windows platforms
+if (WIN32)
+  message(STATUS "*QUICK* *HACK* *ALERT* : Adding psapi.dll - STR #3350")
+  target_link_libraries(fltk psapi)
+endif (WIN32)
+
 #######################################################################
 
 FL_ADD_LIBRARY(fltk_forms STATIC "${FLCPPFILES}")
diff --git a/src/Fl_win32.cxx b/src/Fl_win32.cxx
index 93debc5..9866271 100644
--- a/src/Fl_win32.cxx
+++ b/src/Fl_win32.cxx
@@ -1738,7 +1738,8 @@ void Fl_WinAPI_Window_Driver::resize(int X,int Y,int W,int H) {
 ////////////////////////////////////////////////////////////////
 
 #include "Psapi.h"
-#pragma comment( lib, "psapi.lib" )
+// #pragma comment( lib, "psapi.lib" )
+
 static HMODULE GetModuleHandleByAddress(HANDLE hProc, LPVOID lpAddress) {	// str #3350
   HANDLE hHeap = GetProcessHeap();
   HMODULE *hmodules = NULL;
@@ -1781,7 +1782,7 @@ static HMODULE GetModuleHandleByAddress(HANDLE hProc, LPVOID lpAddress) {	// str
 }
 
 static HMODULE GetCurrentModule() {	// str #3350
-  HMODULE hModule = GetModuleHandleByAddress(GetCurrentProcess(), &GetCurrentModule);
+  HMODULE hModule = GetModuleHandleByAddress(GetCurrentProcess(), (LPVOID)&GetCurrentModule);
   return hModule;
 }
 
